# ChainedRunnablePartFirst

class ChainedRunnablePartFirst<R>(runnable: () -> R, sync: Boolean) : ChainedRunnablePart<Unit, R>
Content copied to clipboard

## Functions

execute
Link copied to clipboard
open override fun execute()
Content copied to clipboard
Begins execution of this chained runnable.
executeCatching
Link copied to clipboard
inline fun <E : Exception> executeCatching(exceptionSync: Boolean = true, noinline exceptionHandler: (E) -> Unit? = null)
Content copied to clipboard
Begins execution of this chained runnable, catching any exception of type E and passing it to the optional exceptionHandler.
executeCatchingImpl
Link copied to clipboard
open override fun <E : Exception> executeCatchingImpl(exceptionClass: KClass<E>, exceptionSync: Boolean, exceptionHandler: (E) -> Unit?)
Content copied to clipboard
Has to be public for use in inline function executeCatching, not intended to be used directly.

## Properties

next
Link copied to clipboard
var next: ChainedRunnablePart<R, *>?
Content copied to clipboard
runnable
Link copied to clipboard
val runnable: () -> R
Content copied to clipboard
sync
Link copied to clipboard
val sync: Boolean
Content copied to clipboard